#!/usr/bin/perl
#
# Copyright 2011 BBS Technologies, Inc.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

use warnings;
use strict;
use FindBin;
use lib "$FindBin::RealBin/";
use BuagentInterworx;

my $user = <>;
chomp($user);
my $pass = <>;
chomp($pass);

my $dbh = BuagentInterworx::connect();
my $sth = $dbh->prepare(q{
    SELECT domains.name FROM domains, siteworx_users
        WHERE (siteworx_users.user_id = domains.domain_id
               AND
               siteworx_users.email = ?);
}) or die $dbh->errstr;
$sth->execute($user) or die "Couldn't execute prepared statement: ", $dbh->errstr;

my $domain;
$sth->bind_columns(\$domain);
$sth->fetch(); $sth->finish();

$dbh->disconnect();
# PHP login script
$ENV{BUAGENT_AUTH_ACCOUNT}=$user;
$ENV{BUAGENT_AUTH_PASSWORD}=$pass;
$ENV{BUAGENT_AUTH_DOMAIN}=$domain;
exec '/home/interworx/bin/php', '-c', '/home/interworx/etc', '/usr/sbin/r1soft/lib/controlpanel/interworx-auth.php';
